Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultNonMedicinalProductType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultNonMedicinalProductType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultNonMedicinalProductType extends Object implements Serializable

Java class for ConsultNonMedicinalProductType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultNonMedicinalProductType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="Category" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="CommercialStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Producer" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="Distributor" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="codeType" type="{http://www.w3.org/2001/XMLSchema}string" default="CNK" />
           <attribute name="ProductId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultNonMedicinalProductType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `String`
  `getCategory()`
  "S" = spécialité "H" = homéopathie "D" = diététique - nutrition - alimentation "C" = cosmétique "E" = hygiène "M" = matière première "B" = bandage et pansement "I" = stomie et incontinence "A" = accessoire "R" = réactif "F" = pesticide à usage agricole "G" = dispositif médical "O" = autre "T" = moyen diagnostique "K" = biocide
  `String`
  `getCode()`
  Non Medicinal Products are uniquely identified by a CNK code.
  `String`
  `getCodeType()`
  Code Type for Non Medicinal Products is always CNK.
  `String`
  `getCommercialStatus()`
  "M" = sur le marché "S" = retiré du marché "I" = interdit par A.R.
  `ConsultTextType`
  `getDistributor()`
  Name of the distributor of the product
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultTextType`
  `getName()`
  Gets the value of the name property.
  `ConsultTextType`
  `getProducer()`
  Name of the producer of the product
  `String`
  `getProductId()`
  Code uniquely identifying a prescribable product on a specific date.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setCategory(String value)`
  Sets the value of the category property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setCodeType(String value)`
  Sets the value of the codeType property.
  `void`
  `setCommercialStatus(String value)`
  Sets the value of the commercialStatus property.
  `void`
  `setDistributor(ConsultTextType value)`
  Sets the value of the distributor property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setName(ConsultTextType value)`
  Sets the value of the name property.
  `void`
  `setProducer(ConsultTextType value)`
  Sets the value of the producer property.
  `void`
  `setProductId(String value)`
  Sets the value of the productId property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultNonMedicinalProductType

    public ConsultNonMedicinalProductType()

- ## Method Details

  - ### getName

    public ConsultTextType getName()
    Gets the value of the name property.
    Returns:
      possible object is `ConsultTextType`

  - ### setName

    public void setName(ConsultTextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getCategory

    public String getCategory()
    "S" = spécialité "H" = homéopathie "D" = diététique - nutrition - alimentation "C" = cosmétique "E" = hygiène "M" = matière première "B" = bandage et pansement "I" = stomie et incontinence "A" = accessoire "R" = réactif "F" = pesticide à usage agricole "G" = dispositif médical "O" = autre "T" = moyen diagnostique "K" = biocide
    Returns:
      possible object is `String`

  - ### setCategory

    public void setCategory(String value)
    Sets the value of the category property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCategory()`

  - ### getCommercialStatus

    public String getCommercialStatus()
    "M" = sur le marché "S" = retiré du marché "I" = interdit par A.R. ou A.M. "O" = suspendu par A.M. ou A.R. "U" = coffret d'urgence et pas sur le marché belge
    Returns:
      possible object is `String`

  - ### setCommercialStatus

    public void setCommercialStatus(String value)
    Sets the value of the commercialStatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCommercialStatus()`

  - ### getProducer

    public ConsultTextType getProducer()
    Name of the producer of the product
    Returns:
      possible object is `ConsultTextType`

  - ### setProducer

    public void setProducer(ConsultTextType value)
    Sets the value of the producer property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getProducer()`

  - ### getDistributor

    public ConsultTextType getDistributor()
    Name of the distributor of the product
    Returns:
      possible object is `ConsultTextType`

  - ### setDistributor

    public void setDistributor(ConsultTextType value)
    Sets the value of the distributor property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getDistributor()`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getCode

    public String getCode()
    Non Medicinal Products are uniquely identified by a CNK code.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCode()`

  - ### getCodeType

    public String getCodeType()
    Code Type for Non Medicinal Products is always CNK. Code Type is present in the KeyType for uniformity with other SAM components.
    Returns:
      possible object is `String`

  - ### setCodeType

    public void setCodeType(String value)
    Sets the value of the codeType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCodeType()`

  - ### getProductId

    public String getProductId()
    Code uniquely identifying a prescribable product on a specific date. Used to prove the consultation of SAM.
    Returns:
      possible object is `String`

  - ### setProductId

    public void setProductId(String value)
    Sets the value of the productId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductId()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`